export declare class CustomError extends Error {
    static code: number;
    private _code?;
    get code(): number;
    set code(c: number);
    constructor(message?: string, code?: number);
    static from(err: Error): CustomError;
    static instanceof(err: Error): boolean;
    toString(): string;
}
export declare class BadRequestError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class UnauthorizedError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class PaymentRequiredError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class ForbiddenError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class NotFoundError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class MethodNotAllowedError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class NotAcceptableError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class InternalServerError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class NotImplementedError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class BadGatewayError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class ServiceUnavailableError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
export declare class GatewayTimeoutError extends CustomError {
    static code: number;
    constructor(message?: string);
    static instanceof(err: Error): boolean;
}
/**
 * Create the correct error object from a status code
 * @param {number} code Will be converted to respective error (ex. 404 -> NotFoundError)
 * @param {string} message Override default error message
 * @return {CustomError} The proper error type
 */
export declare function errorFromCode(code: number, message?: string): CustomError;
