/**
 * Convert decimal number to fraction
 *
 * @example
 * ```js
 * dec2Frac(1.25) // Outputs: "1 1/4"
 * ```
 *
 * @param {number} num Number to convert
 * @return {string} Fraction with remainder
 */
export declare function dec2Frac(num: number): string;
/**
 * Convert fraction to decimal number
 *
 * @example
 * ```js
 * fracToDec('1 1/4') // Outputs: 1.25
 * ```
 *
 * @param {string} frac Fraction to convert
 * @return {number} Faction as a decimal
 */
export declare function fracToDec(frac: string): number;
